System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.HttpBindingBaseElement To be added.

Represents an XML element that specifies a binding used to communicate with WS-I Basic Profile 1.1-conformant Web Services like ASMX-based services or to accept messages from ASMX-based clients.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a name.

  The name of the binding element.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the binding element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes this binding configuration element with the content of the specified binding collection.

  A collection of binding elements.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("messageEncoding", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.WSMessageEncoding To be added. To be added.

  Gets or sets whether MTOM or text/XML is used to encode SOAP messages.

- Method
  4.0.0.0
  System.Void `` To be added.

  Called when the content of a specified binding collection is applied to this binding configuration element.

  A collection of binding elements.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this binding configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("security", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.BasicHttpSecurityElement To be added. To be added.

  Gets or sets the type of security to be used with this binding.